
Redmine - Defect #31593

Email Receiving creates broken issues when incoming message is S/MIME signed

2019-06-20 09:10 - Carsten Schuette

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.4.11

Description

Email Receiving creates broken issues when incoming message is S/MIME signed.

See attached screenshots, they show several parts of the ticket.

Associated revisions

Revision 19808 - 2020-06-03 18:17 - Toshi MARUYAMA

add S/MIME signature mail test (#31593)

History

#1 - 2019-06-29 09:43 - Go MAEDA

Could you provide raw email (.eml format) which can reproduce the problem?

#2 - 2019-06-29 14:21 - Carsten Schuette

Sure, I can send you the email where I took the screenshots - but only to a private Email address as the content is somewhat internal and not for a

public issue tracker.

#3 - 2019-06-30 06:50 - Go MAEDA

Carsten Schuette wrote:

Sure, I can send you the email where I took the screenshots - but only to a private Email address as the content is somewhat internal and not for

a public issue tracker.

 I would like you to create an email with dummy content in order to share on www.redmine.org. Maybe the raw email will be included in the test suite.

#4 - 2019-06-30 15:55 - Toshi MARUYAMA

- File issue-31593-smime-3.4-stable.diff added

mail gem test fixture and this is simple test.

#5 - 2020-06-04 03:00 - Toshi MARUYAMA

- File S-MIME-signature.png added

- Status changed from New to Closed

- Resolution set to Cant reproduce

Cannot reproduce with r19808 fixture.
http://www.redmine.org
https://github.com/mikel/mail
https://raw.githubusercontent.com/mikel/mail/6bc16b4bce4fe/spec/fixtures/emails/mime_emails/raw_email7.eml
https://www.redmine.org/projects/redmine/repository/svn/revisions/19808
